Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1638076 - certutil[5209]: segfault at 46 ip 00007f705ba1a0a6 sp 00007ffce2280d38 error 4 in libc-2.27.so[7f705b982000+1b5000]
Summary: certutil[5209]: segfault at 46 ip 00007f705ba1a0a6 sp 00007ffce2280d38 error ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 15:26 UTC by Alex Regan
Modified: 2023-09-14 04:39 UTC (History)
8 users (show)

Fixed In Version: nss-3.44.0-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:40:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1542741 0 None None None 2019-05-20 16:35:04 UTC

Description Alex Regan 2018-10-10 15:26:55 UTC
Description of problem:
certutil segfaults.

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/certutil
nss-tools-3.39.0-1.0.fc28.x86_64


How reproducible:
I don't know how or when it happened.

Steps to Reproduce:
1. I was probably viewing or otherwise managing certs, but I don't know what specific steps were performed.
2.
3.

Actual results:

From dmesg output:

[Mon Oct  8 20:32:13 2018] certutil[7820]: segfault at 46 ip 00007f139cb110a6 sp 00007ffd5a670548 error 4 in libc-2.27.so[7f139ca79000+1b5000]
[Mon Oct  8 20:32:13 2018] Code: 0f 1f 40 00 66 0f ef c0 66 0f ef c9 66 0f ef d2 66 0f ef db 48 89 f8 48 89 f9 48 81 e1 ff 0f 00 00 48 81 f9 cf 0f 00 00 77 6a <f3> 0f 6f 20 66 0f 74 e0 66 0f d7 d4 85 d2 74 04 0f bc c2 c3 48 83 


Expected results:


Additional info:
From journalctl:

Oct 08 20:20:31 arcade.guardiandigital.com audit[5209]: ANOM_ABEND auid=0 uid=0 gid=0 ses=5153 pid=5209 comm="certutil" exe="/us>
Oct 08 20:20:31 arcade.guardiandigital.com kernel: show_signal_msg: 64 callbacks suppressed
Oct 08 20:20:31 arcade.guardiandigital.com kernel: certutil[5209]: segfault at 46 ip 00007f705ba1a0a6 sp 00007ffce2280d38 error >
Oct 08 20:20:31 arcade.guardiandigital.com kernel: Code: 0f 1f 40 00 66 0f ef c0 66 0f ef c9 66 0f ef d2 66 0f ef db 48 89 f8 48>
Oct 08 20:20:31 arcade.guardiandigital.com systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Oct 08 20:20:31 arcade.guardiandigital.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd->
Oct 08 20:20:31 arcade.guardiandigital.com systemd[1]: Started Process Core Dump (PID 5210/UID 0).
Oct 08 20:20:31 arcade.guardiandigital.com systemd-coredump[5211]: Process 5209 (certutil) of user 0 dumped core.
                                                                   
                                                                   Stack trace of thread 5209:
                                                                   #0  0x00007f705ba1a0a6 __GI___strlen_sse2 (libc.so.6)
                                                                   #1  0x00007f705cb5d0e9 dosprintf (libnspr4.so)
                                                                   #2  0x00007f705cb5d3be PR_vsmprintf (libnspr4.so)
                                                                   #3  0x00007f705cb5eccb PR_vfprintf (libnspr4.so)
                                                                   #4  0x00007f705cb5ed98 PR_fprintf (libnspr4.so)
                                                                   #5  0x000055f868c16465 certutil_main (certutil)
                                                                   #6  0x000055f868c0e21f main (certutil)
                                                                   #7  0x00007f705b9a511b __libc_start_main (libc.so.6)
                                                                   #8  0x000055f868c0e25a _start (certutil)

Comment 1 Daiki Ueno 2018-10-12 11:14:22 UTC
According to the log, the core information is recorded in systemd-coredump.  Would you be able to collect more detailed backtrace, by installing debuginfo and coredumpctl?

- dnf debuginfo-install nss-tools
- coredumpctl gdb 5209
(gdb) bt

Comment 2 Hubert Kario 2019-04-08 13:17:03 UTC
This upstream bug looks very similar: https://bugzilla.mozilla.org/show_bug.cgi?id=1542741

Comment 3 Ben Cotton 2019-05-02 19:42:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Daiki Ueno 2019-05-15 12:01:31 UTC
(In reply to Hubert Kario from comment #2)
> This upstream bug looks very similar:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1542741

Thank you, moving this to POST.

Comment 5 Fedora Update System 2019-05-20 16:39:17 UTC
nss-3.44.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-481a343318

Comment 6 Fedora Update System 2019-05-21 01:59:47 UTC
nss-3.44.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-481a343318

Comment 7 Fedora Update System 2019-05-22 01:40:29 UTC
nss-3.44.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Red Hat Bugzilla 2023-09-14 04:39:47 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.